/*
 * desktop-plugin-example - Example Desktop Plugin with real transparency
 * Copyright (C) 2008  Tommi Saviranta  <wnd@iki.fi>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses>.
 */

#ifndef EXAMPLE_H_
#define EXAMPLE_H_

#include <glib-object.h>

#include <libhildondesktop/hildon-desktop-home-item.h>

G_BEGIN_DECLS


#define TYPE_EXAMPLE	(example_get_type())
#define EXAMPLE(obj)	(G_TYPE_CHECK_INSTANCE_CAST((obj), \
			TYPE_EXAMPLE, Example))
#define EXAMPLE_CLASS(klass) \
		(G_TYPE_CHECK_CLASS_CAST((klass), TYPE_EXAMPLE, ExampleClass))
#define IS_EXAMPLET(obj)	(G_TYPE_CHECK_INSTANCE_TYPE((obj), \
			TYPE_EXAMPLE))
#define IS_EXAMPLET_CLASS(klass) \
		(G_TYPE_CHECK_CLASS_TYPE((klass), TYPE_EXAMPLE))
#define EXAMPLE_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS((obj), \
			TYPE_EXAMPLE, ExampleClass))
#define EXAMPLE_GET_PRIVATE(obj) \
		(G_TYPE_INSTANCE_GET_PRIVATE((obj), TYPE_EXAMPLE, \
				ExamplePrivate))

typedef struct _ExamplePrivate ExamplePrivate;

/* Instance struct */
typedef struct {
	HildonDesktopHomeItem parent;
	ExamplePrivate *priv;
} Example;

/* Class struct */
typedef struct {
	HildonDesktopHomeItemClass parent_class;
} ExampleClass;


GType example_get_type(void);


G_END_DECLS

#endif
